Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1066255 - Review Request: php-pear-console-color2 - Easily use ANSI console colors in your application
Review Request: php-pear-console-color2 - Easily use ANSI console colors in y...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-18 01:53 EST by Remi Collet
Modified: 2014-05-03 11:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-pear-console-color2-0.1.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-26 05:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (4.42 KB, text/x-log)
2014-04-12 22:59 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.68 KB, text/plain)
2014-04-12 23:00 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-02-18 01:53:52 EST
Spec URL: https://raw2.github.com/remicollet/remirepo/7080dc59f7e501f652f21968b961c44a115d020b/php/pear/php-pear-console-color2/php-pear-console-color2.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-console-color2-0.1.2-1.remi.src.rpm
Description: 
You can use Console_Color::convert to transform colorcodes like %r into
ANSI control codes.
  <?php
  include "Console/Color2.php"
  $console = new Console_Color2();
  print $console->convert("%rHello World!%n");
  ?>
would print "Hello World" in red, for example.


Fedora Account System Username: remi


New dependency of php-pear-Console-Table 1.2
Targes: Fedora and EPEL >= 5
Comment 1 Shawn Iwinski 2014-04-12 22:59:41 EDT
Created attachment 885820 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 2 Shawn Iwinski 2014-04-12 23:00:52 EDT
Created attachment 885821 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1066255
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2014-04-12 23:02:54 EDT
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/pear/Console(php-
     pear, php-pear-Console-CommandLine)
     
     %dir %{pear_phpdir}/Console
          %{pear_phpdir}/Console/Color2.php



[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
     
     php-pear-console-color2.noarch: W: unexpanded-macro %description -l C %rHello
     
     The %r and the %n in the description should be %%r and %%n respectively.
Comment 5 Shawn Iwinski 2014-04-16 09:14:44 EDT
[x]: Package does not own files or directories owned by other packages.
[x]: Rpmlint is run on all rpms the build produces.


All issues fixed.  No blockers.


===== APPROVED =====
Comment 6 Remi Collet 2014-04-16 09:38:23 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-pear-console-color2
Short Description: Easily use ANSI console colors in your application
Owners: remi
Branches: f19 f20  el6 epel7
InitialCC:
Comment 7 Jens Petersen 2014-04-17 01:03:35 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-04-17 02:11:00 EDT
php-pear-console-color2-0.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pear-console-color2-0.1.2-2.fc19
Comment 9 Fedora Update System 2014-04-17 02:11:09 EDT
php-pear-console-color2-0.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-pear-console-color2-0.1.2-2.fc20
Comment 10 Fedora Update System 2014-04-17 02:11:17 EDT
php-pear-console-color2-0.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-console-color2-0.1.2-2.el6
Comment 11 Fedora Update System 2014-04-17 15:42:54 EDT
php-pear-console-color2-0.1.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 12 Fedora Update System 2014-04-26 05:15:29 EDT
php-pear-console-color2-0.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-04-26 05:23:44 EDT
php-pear-console-color2-0.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 14 Fedora Update System 2014-05-03 11:29:01 EDT
php-pear-console-color2-0.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.